Referencement de site internet
Creation - Referencement - Publicite
Rejoignez-nous sur FACEBOOK

Chercher

Rejoignez-nous :

Important : fin de support de versions PHP obsolètes le 24/09/15

ovh : Fin des versions obsolètes de PHP

Vous avez reçu ce message de la part de votre hébergeur OVH ?
Vous ne savez pas ce qu'est une version antérieure à php 5.4 mais vous vous doutez que "la fin du support" n'est pas forcément une chose agréable. Soyez attentif, car votre site internet, après le 24 septembre, risque de faire un peu la tête s'il n'est pas compatible.

Vous, OVH et PHP 5.4

Ovh est le 3ème hébergeur mondial, avec plus de 24 millions de sites web hébergés. La plupart d'entre eux utilisent un langage de développement web qui s'appelle PHP, et comme tous les logiciels, il évolue. La version actuelle est PHP 5.6
Si votre site internet est hébergé chez OVH, vous êtes concernés. Si vous utilisez wordpress, prestashop, joomla... ces programmes utilisant php, vous êtes aussi concernés.

OVH impose la fin du support des anciennes versions de PHP.

Tous les sites vont donc basculer automatiquement sur PHP 5.4 et ce basculement est prévu pour le 24 septembre. Les anciennes versions de PHP comportent des failles de sécurité qui peuvent être exploitées assez facilement. Et votre hébergeur préféré a décidé qu'il n'y aurait plus désormais que du PHP 5.4 (ou supérieur) sur ses serveurs. C'est un peu comme si l'Etat décidait que seule les voitures 4x4 pouvaient rouler.
Dont acte. Faites faire la mise à jour de votre site web ovh vers php5.4 sans attendre.

Votre site internet chez OVH est-il compatible avec PHP5.4 ?

Dans l'email reçu par les clients, il est indiqué que :

"Nous vous conseillons vivement de tester vos sites et tâches planifiées avec ces nouvelles versions dès maintenant, PHP 5.6 étant conseillée."


Techniquement, ce n'est pas très compliqué et le test peut-être effectué en quelques minutes. Ensuite, il suffit de parcourir les pages de votre site web ou de votre application pour vérifier que tout fonctionne bien... ou pas. Vous pouvez vérifier si votre site est compatible php 5.4 ici, et c'est gratuit.

Quel est le risque si mon site n'est pas compatible ?

Votre site web va afficher une bonne liste de messages d'erreurs, car les dernières  versions de PHP ont modifié le fonctionnement de certaines instructions du langage, ou les ont carrément supprimé. Si l'affichage de vos pages en dépend, préparez-vous à devoir faire intervenir un prestataire web en urgence... mais comme vous ne serez pas le seul (rappelez-vous: 24 millions de sites web chez ovh), il vous faudra attendre.

Test de compatibilité de votre site OVH avec PHP 5.4

Comment vérifier la compatibilité de votre site internet hébergé chez OVH avec PHP 5.4. (la fin du support des versions antérieures étant annoncé pour le 24 septembre)

Mise à jour de votre site web OVH vers PHP 5.4

Vous savez que votre site internet n'est pas compatible avec PHP 5.4 et vous avez besoin d'un coup de main technique pour assurer le passage à cette nouvelle version. L'agence web T.T.M.O. à Carcassonne réalise les mises à jour de vos sites.

Sur internet, la taille compte !

Enfin, la taille de votre site sur les petits écrans des mobiles :-) Google conseille : "Fais de ton site un site responsive"... mais c'est quoi un site responsive ? Un site internet responsive est un site internet qui s'adapte automatiquement à la taille de l'écran sur lequel il est consulté, ordinateur, tablette ou téléphone mobile.

Contact
  • Agence T.T.M.O.
  • 355 rue Gérard Desargues
  • 11000 Carcassonne
  • 06.63.21.87.09
  • cyril@agence-ttmo.fr
  • Vous avez reçu ce message de la part de votre hébergeur OVH ?
Vous ne savez pas ce qu'est une version antérieure à php 5.4 mais vous vous doutez que
Tous droits reserves (c) 2017 Agence T.T.M.O.
"Un site web c'est bien, qu'il soit visible c'est mieux..." 06.63.21.87.09